# Query Webhooks

> Find webhook configurations belonging to a merchant division. Results are limited to only show webhooks authorized by the X-API-Key.

Source: https://help.boltapp.com/api-reference/endpoints/webhooks/querywebhooks

`GET /v1/webhooks`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.1",
    "title": "Bolt API Reference",
    "description": "Postman Collection:\n\n[![](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/9136127-55d2bde1-a248-473f-95b5-64cfd02fb445?action=collection%2Ffork&collection-url=entityId%3D9136127-55d2bde1-a248-473f-95b5-64cfd02fb445%26entityType%3Dcollection%26workspaceId%3D78beee89-4238-4c5f-bd1f-7e98978744b4#?env%5BBolt%20Sandbox%20Environment%5D=W3sia2V5IjoiYXBpX2Jhc2VfdXJsIiwidmFsdWUiOiJodHRwczovL2FwaS1zYW5kYm94LmJvbHQuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6InRrX2Jhc2UiLCJ2YWx1ZSI6Imh0dHBzOi8vc2FuZGJveC5ib2x0dGsuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6ImFwaV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggQVBJIGtleT4iLCJ0eXBlIjoic2VjcmV0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJwdWJsaXNoYWJsZV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggcHVibGlzaGFibGUga2V5PiIsInR5cGUiOiJkZWZhdWx0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJkaXZpc2lvbl9pZCIsInZhbHVlIjoiPHJlcGxhY2Ugd2l0aCB5b3VyIEJvbHQgU2FuZGJveCBwdWJsaWMgZGl2aXNpb24gSUQ+IiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfV0=)\n\n## About\n A comprehensive Bolt API reference for interacting with Transactions, Orders, Product Catalog, Configuration, Testing, and much more.\n\n Note: You must also reference the [Merchant Callback API](/api-merchant) when building a managed checkout custom cart integration\n"
  },
  "servers": [
    {
      "url": "https://api.boltapp.com",
      "description": "The Production URL (Live Data)."
    },
    {
      "url": "https://api-sandbox.boltapp.com",
      "description": "The Sandbox URL (Test Data)."
    },
    {
      "url": "https://api-staging.boltapp.com",
      "description": "The Staging URL (Staged Data)."
    }
  ],
  "security": [
    {
      "X-API-Key": []
    },
    {
      "OAuth": [
        "bolt.account.manage",
        "bolt.account.view"
      ]
    }
  ],
  "paths": {
    "/v1/webhooks": {
      "get": {
        "description": "Find webhook configurations belonging to a merchant division. Results are limited to only show webhooks authorized by the X-API-Key.",
        "operationId": "queryWebhooks",
        "parameters": [
          {
            "$ref": "#/components/parameters/division_id"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "webhooks": {
                      "items": {
                        "$ref": "#/components/schemas/webhook"
                      },
                      "type": "array"
                    }
                  }
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/errors_bolt_api_response"
                }
              }
            },
            "description": "BAD REQUEST. Request is malformed or invalid values are detected."
          },
          "403": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/errors_bolt_api_response"
                }
              }
            },
            "description": "FORBIDDEN. Not authorized to query webhook for this entity."
          },
          "404": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/errors_bolt_api_response"
                }
              }
            },
            "description": "NOT FOUND. Unable to find webhook."
          }
        },
        "security": [
          {
            "X-API-Key": []
          }
        ],
        "summary": "Query Webhooks",
        "tags": [
          "Webhooks"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "division_id": {
        "description": "The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). You can view and switch between these divisions from the Bolt Merchant Dashboard.",
        "in": "query",
        "name": "division_id",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "webhook": {
        "properties": {
          "created_at": {
            "description": "Webhook creation time in epoch timestamp milliseconds.",
            "type": "integer",
            "examples": [
              1485997169003
            ]
          },
          "event_group": {
            "$ref": "#/components/schemas/webhook_event_group"
          },
          "events": {
            "description": "All events the webhook is subscribed to. Null when `event_group` = `all`.\n",
            "items": {
              "$ref": "#/components/schemas/webhooks_type"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "url": {
            "$ref": "#/components/schemas/url"
          },
          "webhook_id": {
            "$ref": "#/components/schemas/webhook_id"
          }
        },
        "required": [
          "webhook_id",
          "created_at",
          "url"
        ],
        "type": "object"
      },
      "webhook_event_group": {
        "description": "Subscribe to a group of events.\n`all`: subscribe to all existing and future event types\n",
        "enum": [
          "all",
          "null"
        ],
        "type": [
          "string",
          "null"
        ]
      },
      "webhooks_type": {
        "description": "[Webhook events](https://help.boltapp.com/developers/guides/webhooks/#transaction-hook-types) that trigger a notification to the URL.  **Note**:`newsletter_subscription` is only for merchant use cases.\n\nSubscription events:\n* `subscription_created` - A subscription was created from a successful initial transaction.\n* `subscription_renewed` - A recurring subscription order was placed successfully and the next order was scheduled.\n* `subscription_canceled` - A subscription was canceled, by the merchant, by the shopper, or automatically (e.g. once its dunning retry schedule is exhausted). Also sent alongside `subscription_ended` when the subscription's configured final dunning action is cancellation.\n* `subscription_payment_failed` - A scheduled subscription order's payment attempt failed.\n* `subscription_paused` - A subscription was paused, by the merchant, by the shopper, or automatically once its dunning retry schedule is exhausted (when the configured final dunning action is pausing).\n* `subscription_unpaused` - A paused subscription was resumed, by the merchant or by the shopper.\n* `subscription_ended` - A subscription was permanently ended after its dunning retry schedule was exhausted. Sent alongside `subscription_canceled` for this case.\n",
        "enum": [
          "payment",
          "credit",
          "capture",
          "void",
          "auth",
          "pending",
          "rejected_irreversible",
          "rejected_reversible",
          "failed_payment",
          "newsletter_subscription",
          "risk_insights",
          "credit_card_deleted",
          "subscription_created",
          "subscription_renewed",
          "subscription_canceled",
          "subscription_payment_failed",
          "subscription_paused",
          "subscription_unpaused",
          "subscription_ended"
        ],
        "type": "string",
        "examples": [
          "pending"
        ]
      },
      "url": {
        "description": "The full URL to receive webhook notifications.",
        "type": "string",
        "examples": [
          "https://eva-nerv.shop.com/path/to/hook"
        ]
      },
      "webhook_id": {
        "description": "A unique webhook ID. Reference this value to modify or delete the webhook subscription. operations as well.",
        "type": "string",
        "examples": [
          "wh_za7VbYcSQU2zRgGQXQAm-g"
        ]
      },
      "errors_bolt_api_response": {
        "properties": {
          "errors": {
            "$ref": "#/components/schemas/errors_bolt_api"
          },
          "result": {
            "$ref": "#/components/schemas/request_result"
          }
        },
        "type": "object"
      },
      "errors_bolt_api": {
        "items": {
          "$ref": "#/components/schemas/error_bolt_api"
        },
        "type": "array"
      },
      "error_bolt_api": {
        "properties": {
          "code": {
            "$ref": "#/components/schemas/code"
          },
          "message": {
            "$ref": "#/components/schemas/message"
          }
        },
        "type": "object",
        "description": "Error object containing custom error information"
      },
      "code": {
        "description": "Custom-defined Bolt error code. This can be used to programmatically react to specific errors.",
        "format": "int64",
        "type": "integer",
        "examples": [
          2001005
        ]
      },
      "message": {
        "description": "Human-readable description of the error for developers. Should not be shown to users and is not localized.",
        "type": "string",
        "examples": [
          "The input is missing a required parameter."
        ]
      },
      "request_result": {
        "description": "Custom-defined Bolt result object.",
        "properties": {
          "success": {
            "$ref": "#/components/schemas/request_failed"
          }
        },
        "type": "object"
      },
      "request_failed": {
        "type": "boolean",
        "description": "Indicates that the request failed. This value is always false.",
        "examples": [
          false
        ]
      }
    },
    "securitySchemes": {
      "OAuth": {
        "description": "Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.\nFor all APIs that require authorization, please provide your `access_token` returned from `/v1/oauth/token` via the basic auth bearer header `Authorization: bearer ${TOKEN}`.\n[Read more about the OAuth token endpoint.](/api-bolt/#tag/OAuth)\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://api.boltapp.com/v1/oauth/authorize",
            "refreshUrl": "https://api.boltapp.com/v1/oauth/token",
            "scopes": {
              "bolt.account.manage": "This scope grants permissions to perform read/edit/delete actions on Bolt Account data",
              "bolt.account.view": "This scope grants permissions to perform read only actions on Bolt Account data",
              "openid": "This scope grants permissions that enable Bolt SSO by granting an id token JWT that stores account data. Not used in v1/account endpoints"
            },
            "tokenUrl": "https://api.boltapp.com/v1/oauth/token"
          }
        },
        "type": "oauth2"
      },
      "X-API-Key": {
        "description": "Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.",
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
